PrimitiveFeature.cpp File Reference

#include "PreCompiled.h"
#include <cfloat>
#include <BRepLib.hxx>
#include <BRepPrimAPI_MakeCone.hxx>
#include <BRepPrimAPI_MakeCylinder.hxx>
#include <BRepPrimAPI_MakeRevol.hxx>
#include <BRepPrimAPI_MakeSphere.hxx>
#include <BRepPrimAPI_MakeTorus.hxx>
#include <BRepPrim_Wedge.hxx>
#include <BRepBuilderAPI_MakeEdge.hxx>
#include <BRepBuilderAPI_MakeFace.hxx>
#include <BRepBuilderAPI_MakeVertex.hxx>
#include <BRepBuilderAPI_MakeWire.hxx>
#include <BRepBuilderAPI_MakeSolid.hxx>
#include <BRepBuilderAPI_GTransform.hxx>
#include <gp_Circ.hxx>
#include <gp_GTrsf.hxx>
#include <GCE2d_MakeSegment.hxx>
#include <Geom_Plane.hxx>
#include <Geom_ConicalSurface.hxx>
#include <Geom_CylindricalSurface.hxx>
#include <Geom2d_Line.hxx>
#include <Geom2d_TrimmedCurve.hxx>
#include <Handle_Geom_Plane.hxx>
#include <Handle_Geom_CylindricalSurface.hxx>
#include <Handle_Geom2d_Line.hxx>
#include <Handle_Geom2d_TrimmedCurve.hxx>
#include <Precision.hxx>
#include <Standard_Real.hxx>
#include <TopoDS.hxx>
#include <TopoDS_Solid.hxx>
#include <TopoDS_Vertex.hxx>
#include "PrimitiveFeature.h"
#include <Base/Tools.h>

Go to the source code of this file.

Namespaces

namespace  Part

Variables

const
App::PropertyFloatConstraint::Constraints 
Part::angleRangeU = {0.0f,360.0f,1.0f}
const
App::PropertyFloatConstraint::Constraints 
Part::angleRangeV = {-90.0f,90.0f,1.0f}
const
App::PropertyFloatConstraint::Constraints 
Part::apexRange = {0.0f,90.0f,0.1f}
const
App::PropertyFloatConstraint::Constraints 
Part::floatRange = {0.0f,FLT_MAX,0.1f}
const
App::PropertyFloatConstraint::Constraints 
Part::torusRangeV = {-180.0f,180.0f,1.0f}

Generated on Wed Nov 23 19:01:19 2011 for FreeCAD by  doxygen 1.6.1